using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ClothesApplication
{
    /// <summary>
    /// MainWindow.xaml 的互动逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        //TODO: 1.声明常量


        public MainWindow()
        {
            InitializeComponent();
        }

        //TODO: 4.声明枚举常量


        private void cbClothesSize_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (!this.IsLoaded) { return; }

            //声明ClothesSize枚举类型变量
            ClothesSize mySize = ClothesSize.Medium;

            switch (cbClothesSize.SelectedIndex)
            {
                case 0:
                    //特大号尺寸
                    mySize = ClothesSize.ExtendedLarge;
                    break;

                case 1:
                    //大号尺寸
                    mySize = ClothesSize.Large;
                    break;

                case 2:
                    //中等尺寸
                    mySize = ClothesSize.Medium;
                    break;

                case 3:
                    //小号尺寸
                    mySize = ClothesSize.Small;
                    break;
            }

            //TODO: 5.使用ClothesSize枚举类型数据


        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            //TODO: 2.修改常量值


            //TODO: 3.将常量值设为窗体标题

        }
    }
}

